/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/



/* general designs */
p:last-child{
	margin: 0 !important;
}
.table{
	margin: 0;
	width: 100%;
}
/* custom title */
.cstm-title span{
    background-color: var(--e-global-color-primary);
    width: 150px;
    height: 50px;
    padding: 5px;
    display: flex;
    text-align: center;
    flex-direction: column;
    justify-content: center;
}
.cstm-title span:nth-child(2){
    margin: -15px 0 0 40px;
}
.cstm-title span:nth-child(3){
    margin: -15px 0 0 80px;
}
/* custom button */
.cstm-button .elementor-button-text{
	text-align: left;
}
.cstm-button .elementor-button-icon{
    position: relative;
    right: 25px;
    opacity: 0;
    visibility: visible;
    transition: ease-out 0.3s;
}
.cstm-button .elementor-button:hover .elementor-button-icon{
    opacity: 1;
    visibility: visible;
    right: 0;
}



/* header */
.header-contact .elementor-icon-list-text,
.footer-contact .elementor-icon-list-text{
	transition: ease-out 0.3s !important;
}
.header-contact a:hover .elementor-icon-list-text,
.footer-contact a:hover .elementor-icon-list-text{
	opacity: 0.6;
}
@media(min-width: 1025px){
	.header-menu ul a.elementor-item:after{
		content: "";
		width: 100%;
		height: 0;
		position: absolute;
		background-color: var(--e-global-color-primary);
		z-index: -1;
		left: 50% !important;
		transform: translateX(-50%) !important;
		top: -36px;
		pointer-events: none;
	}
	.header-menu ul a.elementor-item:hover:after,
	.header-menu ul .current-menu-item a.elementor-item:after{
		height: 80px;
	}
}



/* home design */
/* banner */
.home-banner-title > .e-con-inner{
    padding-right: 340px;
}
.home-banner-content > .e-con-inner{
    padding-left: 430px;
    padding-right: 40px;
}
.home-banner-title:after,
.home-banner-content:after{
    content: "";
    position: absolute;
    background-color: #fff;
    top: 0;
    width: 500%;
    z-index: 1;
	pointer-events: none;
	transition: ease-out 1s;
}
.home-banner-title:after{
    height: 80%;
    left: 200%;
}
.home-banner-content:after{
    height: 100%;
    right: 200%;
}
.home-banner-title.slide-effect:after{
    left: 950px;
}
.home-banner-content.slide-effect:after{
    right: 940px;
}
/* download guide */
.dl-guide-image,
.dl-guide-image *{
    height: 100% !important;
    object-fit: cover;
}
/* packages */
.common-package{
    width: 32%;
}
.popular-package{
    width: 36%;
}
.package-btn{
    margin-top: auto;
}
.package-btn a{
    width: 100% !important;
}
/* faqs */
.faq-accordion .elementor-accordion{
    border-top: 2px solid var(--e-global-color-cd7c787) !important;
}
.faq-accordion .elementor-accordion-item{
    border-bottom: 2px solid var(--e-global-color-cd7c787) !important;
}



/* about us */
.profile-image img{
    padding: 3px;
}



/* projects */
.cstm-categories .elementor-post-info__terms-list{
    font-size: 0;
    display: flex !important;
    flex-wrap: wrap;
    gap: 8px;
}
.cstm-categories .elementor-post-info__terms-list-item{
    font-size: 18px;
    background-color: var(--e-global-color-d22acd3);
    padding: 5px 20px;
}
.project-btn .elementor-button-text{
    border-bottom: 2px solid;
    transition: ease-out 0.3s;
}
.project-btn .elementor-button-icon{
    position: relative;
    right: 22px;
    opacity: 0;
    visibility: hidden;
    transition: ease-out 0.3s;
}
.project-btn a:hover .elementor-button-text{
    border-color: transparent;
}
.project-btn a:hover .elementor-button-icon{
    right: 0;
    opacity: 1;
    visibility: visible;
}



/* blogs */
.blog-list .elementor-post__read-more{
    transition: ease-out 0.3s;
}
.blog-list .elementor-post__read-more:hover{
    color: var(--e-global-color-secondary);
}
/* single blog */
.post-content h2,
.post-content h3,
.post-content h4,
.post-content h5{
    margin: 0 0 20px;
}
.post-content ul:not(:last-child),
.post-content ol:not(:last-child){
    margin-bottom: 20px;
}



/* contact form */
.contact-form .gform_fields{
    grid-row-gap: 20px !important;
}
.contact-form .gfield .gfield_label{
    font-size: 15px;
    font-weight: normal;
    color: var(--e-global-color-text)
}
.contact-form .gfield .gfield_label span{
    font-style: normal !important;
    color: var(--e-global-color-secondary);
    font-size: inherit;
    text-transform: lowercase;
}
.optional-field .gfield_label:after{
    content: " (optional)";
    color: var(--e-global-color-secondary);
}
.contact-form .gfield input,
.contact-form .gfield textarea{
    border-radius: 4px;
    border-color: var(--e-global-color-cd7c787);
    padding: 6px 15px !important;
    font-size: 18px !important;
    outline: none !important;
}
.contact-form .gfield textarea{
	height: 122px !important;
	resize: none;
}
.contact-form .gfield input:focus,
.contact-form .gfield textarea:focus{
    border-color: var( --e-global-color-text );
}
.contact-form .gform_footer{
    padding: 0 !important;
    margin-top: 20px !important;
}
.contact-form .gform_button{
    margin: 0 !important;
    background: var( --e-global-color-accent ) !important;
    color: #fff !important;
    line-height: 1 !important;
}
.contact-form .gform_button:hover{
    background: transparent !important;
    color:  var( --e-global-color-primary ) !important
}
.contact-form .gform_validation_errors{
    margin: 0 0 20px !important;
    border-radius: 0 !important;
}
.contact-form .gform_validation_errors h2{
    font-weight: 500 !important;
}
.contact-form .validation_message{
    font-size: 12px !important;
    padding: 0 !important;
    border: none !important;
    background: none !important;
    line-height: 1 !important;
    margin: 5px 0 0;
}



/* information tables */
.table *{
    vertical-align: middle;
}
.table th{
    font-size: 24px;
    line-height: 1.2;
    background: var( --e-global-color-primary );
    color: #fff;
    border-color: #bbb
}
.table th:last-child,
.table td:last-child{
    text-align: center;
}
.table td{
	background-color: #fff !important
}
.table tr:nth-child(odd) > td{
    background-color: #80808012 !important;
}
.table label{
	font-size: 75%;
    display: inline-block;
    vertical-align: middle;
    margin: 0 !important;
}
.table span{
	color: var( --e-global-color-primary );
    font-weight: bold;
    font-size: 22px;
    line-height: 1;
}
.table p{
    font-size: 75%;
}
.table tr:last-child p{
    text-align: right;
}
.website-table tr.table-heading td{
    background-color: #333 !important;
    color: #fff;
    font-weight: 500;
    font-size: 20px;
}



/* footer */
.footer-menu ul{
    columns: 2;
    column-gap: 10px;
}
.footer-menu ul a{
    width: fit-content;
    display: block;
}
.footer-menu ul a:hover,
.footer-menu .current-menu-item a{
    text-decoration: underline;
}
.footer-contact path{
    fill: #fff !important;
}



/* MOBILE RESPONSIVENESS */
@media(max-width: 1300px){
	.home-banner-title > .e-con-inner{
		padding-right: 32%;
	}
	.home-banner-content > .e-con-inner{
		padding-left: 34%;
		padding-right: 0;
	}
	.home-banner-title:after,
	.home-banner-content:after{
		width: 0;
		transition: ease-out 0.5s;
	}
	.home-banner-title:after{
		left: initial !important;
		right: -20px;
	}
	.home-banner-content:after{
		right: initial !important;
		left: -20px
	}
	.home-banner-title.slide-effect:after{
		width: 26%;
	}
	.home-banner-content.slide-effect:after{
		width: 28%;
	}
}

@media(max-width: 1024px){
	.elementor-kit-13 a{
		font-size: 16px;
	}
	.cstm-title span{
		width: 136px;
		height: 44px;
	}
	.cstm-title span:nth-child(2){
		margin: -10px 0 0 30px;
	}
	.cstm-title span:nth-child(3){
		margin: -10px 0 0 60px;
	}
	.post-content h2{
		font-size: 40px;
	}
	.post-content h3{
		font-size: 30px;
	}
	.post-content h4{
		font-size: 24px;
	}
	.post-content h5{
		font-size: 19px;
	}
	.cstm-categories .elementor-post-info__terms-list-item{
		font-size: 16px;
	}
	
	.contact-form .gfield input,
	.contact-form .gfield textarea{
		font-size: 16px !important;
	}
	.contact-form .gfield textarea{
		height: 112px !important;
	}
	.contact-form .gform_button{
		margin: 0 !important;
		background: var( --e-global-color-accent ) !important;
		color: #fff !important;
		line-height: 1 !important;
		padding: 12px 30px !important;
		font-size: 16px !important;
	}
	.table th{
		font-size: 21px;
	}
	.table span{
		font-size: 20px;
	}
	.website-table tr.table-heading td{
		font-size: 18px;
	}







}

@media(max-width: 767px){
	.elementor-kit-13 a{
		font-size: 14px;
	}
	.cstm-title span{
		width: 120px;
		height: 38px;
	}
	.cstm-title span:nth-child(2){
		margin: -8px 0 0 24px;
	}
	.cstm-title span:nth-child(3){
		margin: -8px 0 0 48px;
	}
	
	
	.home-banner-title > .e-con-inner,
	.home-banner-content > .e-con-inner{
		padding-left: 0;
		padding-right: 0;
	}
	.home-banner-title:after,
	.home-banner-content:after,
	.home-banner-title br{
		display: none !important;
	}
	
	
	
	.common-package,
	.popular-package{
		width: 100%;
	}
	.post-content h2{
		font-size: 28px;
	}
	.post-content h3{
		font-size: 24px;
	}
	.post-content h4{
		font-size: 20px;
	}
	.post-content h5{
		font-size: 16px;
	}
	.cstm-categories .elementor-post-info__terms-list{
		gap: 5px;
	}
	.cstm-categories .elementor-post-info__terms-list-item{
		font-size: 14px;
		padding: 3px 14px;
	}
	
	
	.contact-form .gform_fields{
		grid-row-gap: 15px !important;
	}
	.contact-form .gfield .gfield_label,
	.contact-form .gform_wrapper.gravity-theme .gfield_checkbox label,
	.contact-form .gform_wrapper.gravity-theme .gfield_radio label{
		font-size: 14px !important;
	}
	.contact-form .gfield input,
	.contact-form .gfield textarea{
		padding: 8px 12px !important;
		font-size: 14px !important;
		line-height: 1.5 !important;
	}
	.contact-form .gfield textarea{
		height: 102px !important;
	}
	.contact-form .gform_button{
		font-size: 14px !important;
		padding: 10px 24px !important;
	}
	.table th{
		font-size: 18px;
		padding: 15px 10px
	}
	.table td{
		font-size: 14px;
		padding: 10px;
	}
	.table label,
	.table p{
		font-size: 80%;
	}
	.table span{
		font-size: 18px;
	}
	.website-table tr.table-heading td{
		font-size: 16px;
	}
}

@media(max-width: 600px){
	.table-wrapper .elementor-widget-container{
		overflow-x: scroll;
	}
	.table-wrapper .table{
		width: 600px;
	}
}